import React from 'react';
import { Input } from 'antd';
import { EyeOutlined, EyeInvisibleOutlined } from '@ant-design/icons';

export const CustomInputPassword = (props: any) => (
    <Input.Password
        rootClassName="b-input-password"
        iconRender={(visible) => (visible
            ? <EyeOutlined style={{ color: '#2C7873', fontSize: 20, opacity: .3 }} />
            : <EyeInvisibleOutlined style={{ color: '#2C7873', fontSize: 20 }} />
        )}
        {...props}
    />
);
